# ETableSorter

## Name

ETableSorter --

## Synopsis

    #define     E_TABLE_SORTER_TYPE
    typedef     ETableSorter;
    ETableSorter* e_table_sorter_new            (ETableModel *etm,
                                                 ETableHeader *full_header,
                                                 ETableSortInfo *sort_info);
    gint        e_table_sorter_model_to_sorted  (ETableSorter *sorter,
                                                 int row);
    gint        e_table_sorter_sorted_to_model  (ETableSorter *sorter,
                                                 int row);
    gboolean    e_table_sorter_needs_sorting    (ETableSorter *sorter);

## Object Hierarchy

      GtkObject
       +----ETableSorter

## Properties

      "sort-info"            GtkObject             : Read / Write

## Description

## Details

### E_TABLE_SORTER_TYPE

    #define E_TABLE_SORTER_TYPE        (e_table_sorter_get_type ())

### ETableSorter

    typedef struct {
    	GtkObject base;

    	ETableModel    *source;
    	ETableHeader   *full_header;
    	ETableSortInfo *sort_info;

    	int             needs_sorting;

    	int            *sorted;
    	int            *backsorted;

    	int             table_model_changed_id;
    	int             table_model_row_changed_id;
    	int             table_model_cell_changed_id;
    	int             sort_info_changed_id;
    } ETableSorter;

### e_table_sorter_new ()

    ETableSorter* e_table_sorter_new            (ETableModel *etm,
                                                 ETableHeader *full_header,
                                                 ETableSortInfo *sort_info);

`etm` : |
`full_header` : |
`sort_info` : |
Returns : |

### e_table_sorter_model_to_sorted ()

    gint        e_table_sorter_model_to_sorted  (ETableSorter *sorter,
                                                 int row);

`sorter` : |
`row` : |
Returns : |

### e_table_sorter_sorted_to_model ()

    gint        e_table_sorter_sorted_to_model  (ETableSorter *sorter,
                                                 int row);

`sorter` : |
`row` : |
Returns : |

### e_table_sorter_needs_sorting ()

    gboolean    e_table_sorter_needs_sorting    (ETableSorter *sorter);

`sorter` : |
Returns : |

## Properties

### The "`sort-info`" property

      "sort-info"            GtkObject             : Read / Write